diff --git a/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfiguration.java b/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfiguration.java
index 96f01013da3..59101103d26 100644
--- a/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfiguration.java
+++ b/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfiguration.java
@@ -46,7 +46,7 @@
 @ConditionalOnClass({ Servlet.class, ServletRegistration.class,
 		OncePerRequestFilter.class, HandlerMapping.class })
 @AutoConfigureAfter(MetricRepositoryAutoConfiguration.class)
-@ConditionalOnProperty(name = "endpoints.metrics.filter.enabled", matchIfMissing = true)
+@ConditionalOnProperty(name = "endpoints.metrics.enabled", matchIfMissing = true)
 public class MetricFilterAutoConfiguration {
 
 	@Autowired
diff --git a/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfigurationTests.java b/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfigurationTests.java
index 46ec1cb48c8..91c3b7e72d4 100644
--- a/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfigurationTests.java
+++ b/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/autoconfigure/MetricFilterAutoConfigurationTests.java
@@ -31,6 +31,7 @@
 
 import org.springframework.boot.actuate.metrics.CounterService;
 import org.springframework.boot.actuate.metrics.GaugeService;
+import org.springframework.boot.test.EnvironmentTestUtils;
 import org.springframework.context.annotation.AnnotationConfigApplicationContext;
 import org.springframework.context.annotation.Bean;
 import org.springframework.context.annotation.Configuration;
@@ -77,6 +78,7 @@
  *
  * @author Phillip Webb
  * @author Andy Wilkinson
+ * @@author Stephane Nicoll
  */
 public class MetricFilterAutoConfigurationTests {
 
@@ -175,6 +177,16 @@ public void skipsFilterIfMissingServices() throws Exception {
 		context.close();
 	}
 
+	@Test
+	public void skipsFilterIfPropertyDisabled() throws Exception {
+		AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext();
+		EnvironmentTestUtils.addEnvironment(context, "endpoints.metrics.enabled:false");
+		context.register(Config.class, MetricFilterAutoConfiguration.class);
+		context.refresh();
+		assertThat(context.getBeansOfType(Filter.class).size(), equalTo(0));
+		context.close();
+	}
+
 	@Test
 	public void controllerMethodThatThrowsUnhandledException() throws Exception {
 		AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext(
